2008-09-16  Hideki Ikemoto  <ikemo@users.sourceforge.jp>
	* writeview.cpp: new 2ch spec.

2006-05-30  Hideki Ikemoto  <ikemo@users.sourceforge.jp>
	* writeview.cpp: new 2ch spec.

2005-11-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>
	* domtree.cpp: fix nullpo check.

2005-09-15  Hideki Ikemoto  <ikemo@users.sourceforge.jp>
	* kita.spec: add 'make clean'
	thanks to 240-san.

2005-09-24  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.177.1 released.

2005-09-15  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kita.spec: add x86-64 support.
	thanks to 211-san.

2005-01-01  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.174.0 released.

2004-11-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.173.0 released.

2004-10-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.172.0 released.

2004-09-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.171.0 released.

2004-08-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.170.0 released.

2004-07-17  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.160.0 released.

2004-06-20  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* various fixes. >>910>>915
	thanks to >>421
	* embedded image viewer. >>913
	thanks to Toshihiko Okada <tossi@users.sourceforge.jp>

2004-06-19  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* various fixes. >>907
	thanks to Toshihiko Okada <tossi@users.sourceforge.jp>

2004-06-18  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* various fixes. >>899
	thanks to >>421.

2004-06-13  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.150.0 released.

2004-06-05  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* various fixes. >>833
	* various fixes. >>849
	* add Mediator class.

2004-05-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* refactoring. >>823
	* add idou combobox.

2004-05-23  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* show unread/read/new thread num.
	* open board when click the board name of the label.
	* change font pref.
	thanks to Toshihiko Okada <tossi@users.sourceforge.jp>

2004-05-22  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* refactoring. >>787>>800
	* add show AA pref.

2004-05-16  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.140.0 released.

2004-05-13  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* add abone pref.
	* use empty tab if possible.
	* fix: add garbage if opening the thread over 1000.

2004-05-12  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* don't use QThread::wait(). thanks >>421

2004-05-09  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* add KitaNavi. thanks >>421
	* remove from favorites.

2004-05-08  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* ID popup. thanks >>421
	* show write dialog if failed to write.
	* rewrite preferences.

2004-05-07  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* fix: empty favorites if board is reloaded.
	thanks >>682

2004-05-07  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.130.0 released.

2004-05-04  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* save view mode & sort order.
	* save 'always use tab' option.
	* fix gcc 3.4.0 compile error.

2004-05-03  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* show popup of other threads. thanks >>421
	* support two pane mode. thanks >>421
	* enhance thread's marking.
	thanks to Toshihiko Okada <tossi@users.sourceforge.jp>

2004-04-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.120.0 released.
	* kakiko preview. thanks >>421
	* improve pane layout. thanks >>421

2004-04-27  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* replace URL of favorites.
	thanks to Toshihiko Okada <tossi@users.sourceforge.jp>

2004-04-22  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* background rendering.
	* mark the new thread & make the priority of over 1000 thread
	     into the minimum.
	(thanks >>421)

2004-04-20  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* use slotReloadButton() instead of showThread().
	(thanks >>421)

2004-04-15  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* change title & status if tab is changed.
	(thanks >>421)

2004-04-11  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.110.0 released.
	* SHOBON part1 merged.
	* don't dup tab if the same board(thread) is opened.

2004-03-23  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.103.0 released.
	* add (manual) URL replace.

2004-03-09  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* add --enable-sidebar option (default: no).

2004-02-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.102.1 released.
	(refactoring and translation only)

2004-02-22  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.102.0 released.
	* add: favorite boards.

2004-01-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>
	
	* version 0.101.1 released.
	* fix: break favorites when thread name has '<' or '>' or '&'.

2004-01-28  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* unescape thread name.

2004-01-21  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* fix: focus bugs. thanks to >>387.
	* version 0.101.0 released.

2004-01-20  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* fix: go to wrong position when load thread with new tab.
	* fix: bookmarked thread's name is empty.

2004-01-19  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* add 'reload board' button.
	* ThreadListView.{cpp, h}: change sort order.

2004-01-17  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* configure.in.in: add kdelibs & libart_lgpl check.
	* add 'show mail address' option
	* version 0.100.0 released.

2004-01-16  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* show warning when we cancel write dialog.

2004-01-14  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* expand mail address.
	* add asciiart pref.
	* popup res when name field is number.

2004-01-11  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* show create time of thread.

2004-01-08  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* set allColumnsShowFocus property of threadlistview.

2004-01-07  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* add includes.

2004-01-06  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.90 released.

2004-01-05  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* use cache when we can't get dat file.

2004-01-04  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* get difference data instead of entire data.
	* add context menu for board tab.

2004-01-01  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* save color pref.
	* save name completion.

2003-12-30  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.80 released.

2003-12-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* add 'set popup color' pref.
	* add Ctrl+W shortcut.
	* save statusbar/toolbar state.

2003-12-28  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* set the same font as a thread to popup.

2003-12-23  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* 'open board with tab' implemented.
	* add Ctrl+F shortcut.
	* add F5 shortcut.

2003-12-21  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.72 released.

2003-12-18  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* save dock position.

2003-12-17  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* set position to the last read.
	* version 0.71 released.

2003-12-13  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* add --boardlist option.

2003-12-10  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* open new thread when user clicked other thread's link.
	* don't popup if window is not active.
	* version 0.70 released.

2003-12-05  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* fix: forgot NULL check.
	* version 0.64.1 released.

2003-12-02  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* fix: don't save favorites/cache if the user selects 'File->Quit' or press Ctrl+Q.

2003-12-02  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* fix: make correct link when URL have port number.
	* version 0.64 released.

2003-11-30  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* fix: thread list uses wrong font.

2003-11-28  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.63 released.

2003-11-27  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* add read/unread/newthread icons.

2003-11-26  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* write kakiko to $KDEHOME/share/apps/kita/log.txt
	* search text by case insensitive.

2003-11-24  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* add --enable-xdg-menu switch.
	* replace icons.
	* version 0.62 released.

2003-11-23  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* can setup thread font and other font separately.

2003-10-26  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* use CSS to set font size.

2003-10-16  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.61 released.

2003-09-27  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* fix crash on some environments. (ad-hoc, but useful)
	Thanks to <tasuku@linux-life.net>.

2003-09-23  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* add spec file.

2003-09-07  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* use kdDebug(kdWarning, kdError) instead of qDebug.

2003-09-03  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* support "face mark".

2003-09-02  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* change handling of broken comment.

2003-08-26  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* add tab.
	* version 0.6 released.

2003-07-26  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitawritedialog.{cpp, h}, kitawritedialogbase.ui, kitathreadview.cpp:
	display thread name & board name.
	
2003-07-26  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.51 released.

2003-07-26  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* main.cpp: use KUniqueApplication instead of KApplication.

2003-07-22  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitahtmlpart.{h, cpp}: add popup menu.

2003-07-12  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitathreadview.cpp: popup comment.

2003-07-06  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kita.{h, cpp}: set thread title.

2003-07-06  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitaboardview.cpp:
	fix memory leak.

2003-06-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* favoritelistview.cpp:
	add null check.

2003-06-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitaboardview.cpp:
	fix: dup board list when update.

2003-06-28  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kita.{cpp, h}, kitaui.rc:
	add window toolbutton.

2003-06-27  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.5 released.

2003-06-18  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* k2ch_protocol/Makefile.am:
	fix: can't compile if prefix != KDEDIR

2003-06-17  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* part/kitahtmlpart.{cpp, h}:
	fix: make & go to wrong anchor when search.
	
2003-06-17  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* part/kitathreadview.{cpp, h}, kitasubjectview.cpp:
	show "kokomadeyonda"(bookmark).

2003-06-12  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* libkita/comment.cpp:
	fix: making wrong html when mail address includes apostrophe.

2003-06-10  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* implement favorites.

2003-05-20  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* libkita/comment.cpp:
	fix: making wrong link.

2003-05-11  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitaboard.cpp, part/kita2ch.cpp:
	use QCp932Codec instead of QSjisCodec.

2003-05-11  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* part/qcp932codec.cpp: IBM extension (from 0xfa40 to 0xfc4b) support.

2003-05-11  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.4 released.

2003-05-11  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kita.cpp: delete unused actions.

2003-05-11  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kita2ch.{h, cpp}: Fix: forgot to consider threads without ID.

2003-05-07  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kita2ch.{h, cpp}: fix slip comment when abone occurs.

2003-05-07  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kita2ch.{h, cpp}: show year as a four-digit.

2003-05-03  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitathreadview.{h, cpp}, kitasubjectview.{h, cpp}, kita.{h, cpp}
	kitaui.rc, part/kitathreadpart.cpp:
	show board (or thread) url on the toolbar.

2003-05-03  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitathreadview.{h, cpp}, kita.{h, cpp}:
	show message on the statusBar when posting succeeded.

2003-05-03  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitathreadview.cpp: reload thread when succeeded in posting message.

2003-05-03  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kita.{h, cpp}, pref.{h, cpp}:
	display current font on the fontButton.

2003-05-02  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* part/kitathreadview.{h, cpp}, part/kitawritedialog.{h, cpp}:
	show confirm message, and post message if yes.

2003-05-01  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* part/kitathreadpart.cpp: fix konqueror's sidebar bug.

2003-04-27  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kita.{h, cpp}: save font config.
	
2003-04-27  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitaboardview.cpp, kitasubjectview.cpp:
	change font when font preference is set.

2003-04-22  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitaboardview.cpp: do nothing if clicked category.

2003-04-21  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* part/kitathreadview.cpp: delete garbage.

2003-04-21  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* kitasubjectview.cpp: show nothing if unread == 0.

2003-04-20  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* sorry, I forgot to write ChangeLog.
	* version 0.3 released.

2003-04-05  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.21 released.

2003-03-29  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* version 0.2 released.

2003-03-27  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* src/kitaboardview.cpp: Mask non-2ch urls.

2003-03-25  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* src/kitasubjectview.cpp: width of 'Title' fixed.

2003-03-24  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* src/kitasubjectview.{cpp, h}: hide button works.

2003-03-21  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* src/kitasubjectview.{cpp, h}: implement subject search.

2003-03-21  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* src/kitathreadview.cpp: merge from k2ch.

2003-03-18  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* configure.in.in, kita.kdevelop, src/main.cpp: change version.
	* version 0.1 released.

2003-03-18  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* src/kitawritedialogbase.ui.h, src/Makefile.am:
	'sage' button fix. (merge from k2ch)
	* src/kitathreadview.cpp: escape sequence fix('\s' => '\\s').

2003-03-17  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* src/kitathreadview.{cpp, h}, src/kitawritedialog.{cpp, h},
	src/kitathreadviewbase.ui, src/kitawritedialogbase.ui:
	merge from k2ch.

	following features were merged.
	- text highlight
	- search text & jump
	- context menu
	- 'sage' button

2003-03-16  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* admin/*, src/kita.cpp: KDE 3.0.x support(can compile at least...).
	* src/kitathreadview.cpp: more KDE 3.0.x support(read only).
	* src/kitathreadview.{cpp, h}: jump to anchor support.
	(merge from k2ch, thanks to 'konqueror plugin no hito')
	* src/kitathreadview.ui, kitathreadview.h: search button support.
	(merge from k2ch)

2003-03-16  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* configure.in.in, kita.kdevelop, src/main.cpp: change version.
	* version 0.02 released.

2003-03-15  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* src/kitathreadview.cpp: generate link automatically.

2003-03-14  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* src/kita.{cpp, h}, src/kitaboardview.cpp,
	src/kitasubjectview.{cpp, h}, src/kitathreadview.{cpp, h}:
	show current board name.
	* src/kitasubjectview.cpp: changed basenum from 0 to 1.

2003-03-13  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* src/kitathreadview.cpp, src/kitathreadview.h:
	launch app when link is clicked.

2003-03-12  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* src/kitathreadview.cpp: cope with error partially. 
	* src/kitaboardview.cpp: board list was reversed.
	* src/kita.cpp, src/kitathreadview.cpp, src/kitathreadview.h:
	display URL on the status bar & show mail address as tooltip.

2003-03-08  Hideki Ikemoto  <ikemo@users.sourceforge.jp>

	* initial import to sourceforge.jp
	* configure.in.in, kita.kdevelop, src/main.cpp: change version.
	* version 0.0.1a released.
